import React from 'react'
import './shopping-cart.css'

export default function CartItem(props) {
    
    
    
    
    return (
        <div className="shoppingCartItem" >
            {console.log(props.productInfo)}
            {/* This is based on amazon's style */}
            {/* Flex-Direction: Row */}

            {/* Left image div */}
            <div id="productImageContainer">
                <img className="productImage" alt="" src={props.productInfo.productImageUrl} />
            </div>

            {/* Name and Product details */}
            <div id="nameAndDetails">
                <div id="productName">{props.productInfo.productName}</div>
                <div id="productStock">{props.productInfo.availableStock} left in stock</div>
                
                <div className="quantityControls">
                    
                    <input 
                        className="productQuantitySelect"
                        type="number"
                        value={props.quantity}
                        min="1"
                        max="99"
                        onChange={(e) => {props.handleQuantityUpdate(props.productInfo.sku, parseInt( e.target.value) )}}
                    />
                    
                    
                    <button onClick={() => { props.handleDelete(props.productInfo.sku) }}>Delete</button>
                </div>
                
            </div>

            {/* Price and promotions */}
            <div id="priceAndPromotions">
                <div id="productPrice">${props.productInfo.price.toFixed(2)}</div>
            </div>

        </div>

    )
}




/*

    brand
    name
    price








*/